<div class="xt_blog">
    {% block guestbook_comments_list %}
        <div class="xt_blog_comments" id="xt_blog_comments">
            {% if data.in_comments_thread %}
                <br /><div><a href="{{ data.comments_thread_all }}" class="xt_button xt_link">&larr; {{ data.translations.t_show_all_comments }}</a></div><br />
            {% endif %}
			{% block guestbook_comments_form %}
        {% if data.comments_form.is_maintenance %}
            {{ data.comments_form.maintenante_markup|raw }}
        {% elseif data.is_logged_in and not data.community_name %}
            <div class="xt_guestbook_write_a_comment">
                <span class="xt_guestbook_write_a_comment_title">{{ data.translations.t_provide_community_name }}</span>
              <form action="{{ data.community_name_submit_url }}" method="post" id="xt_guestbook_comment_form">
                    {% if data.in_comments_thread %}
                        <input type="hidden" name="__xtcomments_thread_id" value="{{ data.in_comments_thread }}" />
                    {% endif %}
                    <div class="xt_input">
                        <input type="text" name="community_name" value="{{data.community_name_tmp}}" /><br />
                    </div>
                    <div class="xt_submit">
                        <input class="xt_button" type="submit" value="{{ data.translations.t_submit }}" />
                    </div>
                </form>
            </div>
        {% else %}
  			<div class="phdr">Bình luận</div>
            <div class="mainblok">
              <div class="forumtxt">
                {% if data.comments_form.comments_restriction != "logged_in" and not data.is_logged_in %}
                <div>Bạn nên <a href="{{ data.comments_form.login_link }}">{{ data.translations.t_login }}</a> | <a href="{{ data.comments_form.signup_link }}">{{ data.translations.t_signup }}</a> để bình luận</div>
                      {% endif %}
                {% if data.comments_form.comments_restriction == "logged_in" and not data.is_logged_in %}
                    <div>{{ data.translations.t_comments_login_required }}: <a href="{{ data.comments_form.login_link }}"> {{ data.translations.t_login }} </a> | <a href="{{ data.comments_form.signup_link }}"> {{ data.translations.t_signup }} </a></div>
                {% elseif data.comments_form.comments_restriction == "logged_in" and data.is_logged_in and not data.is_confirmed_email %}
                    <div>
                        <a href="{{ data.confirm_email_link }}?redir={{ data.comments_form.url_encoded }}" class="xt_blog_confirm_email">
                            {{ data.translations.t_confirm_email }}
                        </a>
                    </div>
                {% else %}
                    <form action="{{ data.comments_form.url }}" method="post" id="xt_blog_comment_form">

                        {% if data.entry.in_comments_thread %}
                            <input type="hidden" name="__xtcomments_thread_id" value="{{ data.entry.in_comments_thread }}" />
                        {% endif %}

                        <input type="hidden" name="__xtx" value="{{ data.comments_form.fields.xtx }}" />
                        <input type="hidden" name="__xtxs" value="{{ data.comments_form.fields.xtxs }}" />
                        <input type="text" name="__xtcomments_comments" value="" style="display:none" />

                        {% if data.is_logged_in %}
                            <div class="xt_label">
                              <label>{{ data.translations.t_posting_as }}: <span class="xtblog_community_name">{{ data.community_name|replace({'.Wapseo.Mobi': ''}) }}</span></label>
                            </div>
                        {% else %}
                            {% if data.comments_form.spam_comments_reserved_name %}
                                <div>{{ data.translations.t_reserved_name }}</div>
                            {% endif %}
                            {% if data.comments_form.poster %}
                                <input type="hidden" name="__xtcomments_nick" value="{{ data.comments_form.poster }}" />
                            {% else %}
                                <div class="xt_label">
                                    <label>{{ data.translations.t_name }} </label>
                                </div>
                                <div class="xt_input">
                                    <input type="text" name="__xtcomments_nick" value="{{ data.comments_form.spam_comments_nick }}" /><br />
                                </div>
                            {% endif %}
                        {% endif %}
                        {% if data.comments_form.comments_restriction == "email_required" and not data.is_logged_in %}

                            <div class="xt_label">
                                <label>{{ data.translations.t_email }} </label>
                            </div>
                            <div class="xt_input">
                                <input type="text" name="__xtcomments_email" value="{{ data.comments_form.spam_comments_email }}" /><br />
                            </div>
                        {% endif %}

                        <div class="xt_label">
                            <label>{{ data.translations.t_comment }} </label>
                        </div>
                        <div class="xt_textarea">
                            <textarea id="xtblog_comment_msg" name="__xtcomments_msg">{{ data.comments_form.spam_comments_msg }}</textarea>
                        </div>

                        {% if data.comments_form.spam_comments %}
                            Please enter the text you can see on the image below: <br />
                            <input type="hidden" name="hash" value="{{ data.comments_form.spam_hash }}" />
                            <img src="{{ data.comments_form.spam_captcha_url }}" alt="" /><br />
                            <div class="xt_label">
                                <label>Code: </label>
                            </div>
                            <div class="xt_input">
                                <input type="text" name="code" />
                            </div><br />
                        {% endif %}

                        <div class="xt_submit">
                            <input class="xt_button" name="submit" type="submit" value="{{ data.translations.t_post }}" />
                        </div>
                    </form>
                {% endif %}
              </div>
            </div>
    	{% endif %}
    {% endblock %}
            <span class="xt_blog_comments_title">
                {% if data.comments %}
                {% else %}
                    {{ data.translations.t_guestbook_empty }}
                {% endif %}
            </span>
            {% macro comments_list (comments, ctx) %}
                {% for comment in comments %}
                    <div class="mainblok">
						<div class="newsx">                                  
							<table>
								<tbody>
									<tr>
										<td>
											<img src="{% if comment.author_profile %}{{ comment.author_profile.avatars[32] }}{% else %}http://www.gravatar.com/avatar/45c963ceacb1f2568c509a3966e1099c.jpg?s=32&d=mm{% endif %}" alt="{% if comment.author_profile %}{{ comment.author_profile.name }}'s avatar{% else %}Avatar{% endif %}" />&nbsp;
										</td>
										<td>
											<img style="vertical-align:middle;padding:0 2px 4px 0;" src="{% if comment.author_profile and (comment.author_profile.link == 'http://xtgem.com/u/KenhJAV.Net' or comment.author_profile.link == 'http://sextgem.com/u/KenhJAV.Net' ) %}/images/sv.gif{% else %}/images/khach.png{% endif %}" width="15" height="15" alt="♥" />
                                          {% if comment.author_profile %}<a href="{{ comment.author_profile.link }}">{% if comment.author_profile.link == 'http://xtgem.com/u/tixgame' or comment.author_profile.link == 'http://sextgem.com/u/tixgame' %}<span style="color:red">{{ comment.author_profile.name }}</span>{% else %}<span style="color:green">{{ comment.author_profile.name }}</span>{% endif %}</a>{% else %}{{ comment.nick }}{% endif %}<br>
											<img style="vertical-align:middle;padding:0 2px 4px 0;" src="/images/clock_play.png" width="15" height="15" alt="Time:" />&nbsp;<small>{{ comment.date }}</small>
										</td>
									</tr>
								</tbody>
							</table>
						</div>
                                    
                        {% if not comments_cout %}
							{% if comment.is_hidden %}
								<div class="forumtxt">{{ ctx.data.translations.t_hidden_comment }}</div>
							{% else %}
								<div class="forumtxt">
                                  {{ comment.message|replace }}
								</div>
							{% endif %}
							{% if comment.childs %}
								<div class="xt_reply" style="margin: 5px 6px;">
									{{ _self.comments_list(comment.childs, ctx) }}
								</div>
							{% endif %}
						{% endif %}  
					</div>
                {% endfor %}
            {% endmacro %}
            {{ _self.comments_list(data.comments, _context) }}
        </div>
  {{ data.comments_pagination_html|replace({'http://teamx7.sextgem.com': 'http://kenhjav.net'})|raw }}
    {% endblock %}
</div>