{% use "my_blocks.js" %}
{% set view = 'board' %}
{% set board = category.boards|first %}

{{block('menu')}} {{block('messages')}} 
{{block('breadcrumbs')}}<div class="topmenu">
{% if settings.allow_anonymous_posting or profile %}
{# Create new thread #}
<img src="http://xtgem.com/images/forum/icons/new.png" class="ico" alt="*" /><a href="{{ board.new_thread_link }}">Tạo chủ đề mới</a> <br />{% endif %}&middot;
{# Mark board as read #}
<a href="{{ board.link }}?mark_read=1">Đánh dấu đã đọc</a>
{# {% elseif account %}
<img src="http://xtgem.com/images/forum/icons/new.png" class="ico" alt="*" /><a href="{{ join_link }}" title="Join" >Join to reply</a>
{% else %}
<img src="http://xtgem.com/images/forum/icons/new.png" class="ico" alt="*" /><a href="{{ login_link }}" title="Log in" rel="nofollow">{{ view == 'board' ? 'Login to start thread' : 'Login to reply' }}</a> #}
</div>


{% if board and board.threads %}

{% for thread in board.threads %}
{{block('thread')}}
{% endfor %}

{% else %}
<div class="rmenu"><b title="data not found">Chưa có chủ đề.</b></div>
{% endif %}

<div class="phdr">- Tổng số: {{board.threads_count}}</div>{{block('pagination')}} 
{{block('search')}}

{{block('online')}}