{% use "blocks.twig" %}
		{{block('menu')}}
		{{block('messages')}}

		<form action="{{ join_link }}{% if redir %}?redir={{ redir }}{% endif %}" method="post" class="settings edit" enctype="multipart/form-data">

		{% if account.community.name %}
		    <h1 title="Community name">{{ account.community.name }}</h1>
		{% endif %}
		    <img src="{{ avatars [ 64 ] }}" alt="avatar" /> [ Avatar ]
		<div class="inline">
		    Your avatar (optional):<br />
		    <input type="file" name="photo" />
		    </div>
		    <h1 title="Shown to community">Shown to community</h1>

		    {% if not account.community.name %}
		        <label>
		            Community name:<br />
		            <input type="text" name="community_name" value="{% if input.community_name %}{{ input.community_name }}{% elseif account.community.name %}{{ account.community.name }}{% else %}{{ gravatar_name }}{% endif %}" />
		        </label>
		    {% else %}
		        {{ label }}
		    {% endif %}

		    <br /><input class="submit" type="submit" name="join" value="Join this community" />

		</form>
		{{block('online')}}
