{% block pagination %}
    {% if pagination.pages|length > 1 %}
        <div class="pagination compo"><!--

            {# previous part #}
            {% if pagination.current_page - 1 != 0 %}
                --><span><a href="{{pagination.url}}{{ pagination.current_page - 1 }}" title="Previous"><span>&laquo;</span></a></span><!--
            {% else %}
                --><span>&laquo;</span><!--
            {% endif %}

            {% for page in pagination.pages %}
                {% if page == pagination.current_page %}
                    --><b>{{page}}</b><!--
                {% elseif page == '...' %}
                    --><span>{{page}}</span><!--
                {% else %}
                    --><span><a href="{{ pagination.url }}{{page}}"><span>{{ page }}</span></a></span><!--
                {% endif %}
            {% endfor %}

            {# next part #}
            {% if pagination.current_page == pagination.pages|last %}
                --><span>&raquo;</span><!--
            {% else %}
                --><span><a href="{{pagination.url}}{{ pagination.current_page + 1 }}" title="Next"><span>&raquo;</span></a></span><!--
            {% endif %}

        --></div>
    {% endif %}
{% endblock %}