{% block search %}

    {# order is important #}
    {%
        set searchable_objects, name, value = [
            { 'name': 'category',   'value': _category.id },
            { 'name': 'board',      'value': board.id },
            { 'name': 'thread',     'value': thread.id }
        ], null, null
    %}

    {% for item in searchable_objects if item.value %}
        {% set name, value = item.name, item.value %}
    {% endfor %}

    <form action="{{ search_link }}" method="get" class="compo">

        {% if value %}
            <input type="hidden" name="{{name}}" value="{{value}}"  />
        {% endif %}

        <input class="input" type="text" name="q" value="{{q|default('xtgem')}}" /> <input class="submit" type="submit" value="Search in {{ name|default('forum') }}" />
    </form>{% if q %}<h1> Tìm với Google: <a href="http://google.com/search?sitesearch=aichat.wap.sh&q={{q|default()}}">{{q|default()}}</a> </h1>{% endif %} 
{% endblock %}